/*
 * 手太欠
 * 企获客商城
 */

const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        stateType       : 'index',   //订单类型
        orderArr        : [],        //订单列表
        page            : {},        //分页信息
        lodingStats     : false      //加载状态
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {},

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        if(wx.getStorageSync("token") == ""){
            wx.navigateTo({
                url: '/pages/login/login'
            })
            return
        }

        // 获取订单列表
        this.orderInfo()
    },

    /**
     * 订单tab
     */
    orderTab(e){
        this.setData({
            stateType: e.currentTarget.dataset.state
        })
        this.orderInfo()
    },

    /**
     * 订单列表
     */
    orderInfo(page){
        let stateType = this.data.stateType
        wx.$api.order[stateType]({
            page : page || ''
        }).then(res=>{
            console.log(res)
            let listArr = this.data.orderArr,
            newData = []
            if(page == 1 || page == undefined) listArr = []
            newData = listArr.concat(res.data)
            this.setData({
                orderArr     : newData,
                page         : res.page,
                lodingStats  : false
            })
        })
    },

    /**
     * 订单支付
     */
    orderPay(e){
        let orderId = e.currentTarget.dataset.orderid
        wx.navigateTo({
            url: '/pages/mall/mall_pay/mall_pay?orderid=' + orderId,
        })

    },

    /**
     * 取消订单
     */
    orderDelete(e) {
        let orderId = e.currentTarget.dataset.orderid
        wx.$api.order.cancel(orderId).then(res=>{
            // 获取列表
            this.orderInfo()
        })
    },

    /**
     * 签收订单
     */
    orderSign(e) {
        let orderId = e.currentTarget.dataset.orderid
        wx.$api.order.sign(orderId).then(res=>{
            // 获取列表
            this.orderInfo()
        })
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        // 获取订单列表
        this.orderInfo()
    },

    /**
     * 上拉加载
     */
    onReachBottom(){
        this.setData({
            lodingStats: true
        })
        let pageNumber = this.data.page.current
        if(this.data.page.has_more){
            pageNumber++

            // 获取订单列表
            this.orderInfo(pageNumber)
        }
    }
})